# Copyright 2020 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.

from autotest_lib.server import utils

AUTHOR = "philipchen"
NAME = "firmware_ECChargingState"
PURPOSE = "Servo based EC charging state test"
CRITERIA = "This test will fail if EC charging state is incorrect."
ATTRIBUTES = "suite:faft_ec, suite:faft_ec_fw_qual, suite:faft_ec_tot"
TIME = "SHORT"
TEST_CATEGORY = "Functional"
TEST_CLASS = "firmware"
TEST_TYPE = "server"
JOB_RETRIES = 0
DEPENDENCIES = "ec:cros, servo_state:WORKING"
PY_VERSION = 3

DOC = """
This test checks if the power_supply_info command reports the correct charging
state in different scenarios.
"""

args_dict = utils.args_to_dict(args)
servo_args = hosts.CrosHost.get_servo_arguments(args_dict)

def run_ecchargingstate(machine):
    host = hosts.create_host(machine, servo_args=servo_args)
    job.run_test("firmware_ECChargingState", host=host, cmdline_args=args,
                 disable_sysinfo=True)

parallel_simple(run_ecchargingstate, machines)
